using Microsoft.AspNetCore.Hosting;
using Microsoft.Extensions.Hosting;

namespace Siger.Middlelayer.ApiGateway
{
    public class Program
    {
        public static void Main(string[] args) {
            //MongoServer.StartAsync();
            //RedisServer.StartAsync();
            CreateHostBuilder(args).Build().Run();
        }

        public static IHostBuilder CreateHostBuilder(string[] args) =>
             Host.CreateDefaultBuilder(args)
        .ConfigureWebHostDefaults(webBuilder =>
        {
            webBuilder.UseUrls(args.Length > 1 ? $"http://*:{args[1]}" : "http://*:8105");
            webBuilder.UseStartup<Startup>();
        });
    }
}
